tutorial_find_item = {visible=false, Hide = function() end, IsVisible = function() return false end}
TUTORIAL_APPEARING_TIME = 0.3

function InitTutorialObjects(tutorial, screen)
	if not screen then
		screen = play_field
	end
    for i, v in ipairs(tutorial.objects) do
		screen:GetObject(v):SetOpacity(0)
		screen:GetObject(v):SetLayer(TUTORIAL_LAYER)
		screen:IgnoreOnTestPoint(v)
	end
end

function AssignCommonTutorialMethods(tutorial)    
    tutorial.Show = function()
        if tutorial.visible then
            return
        end
        for i, v in ipairs(tutorial.objects) do
            play_field:GetObject(v):ChangeOpacity(0, 1, TUTORIAL_APPEARING_TIME);
        end
        tutorial.text:ChangeOpacity(0, 1, TUTORIAL_APPEARING_TIME)
        tutorial.visible = true
        TimerDo(play_field:GetTimer(), 1, tutorial.OnShown)
    end
    
    tutorial.OnShown = function()
        
    end
    
    tutorial.Hide = function()
        if not tutorial.visible then
            return
        end
        for i, v in ipairs(tutorial.objects) do
            if play_field:GetObject(v):GetOpacity() == 1 then
                play_field:GetObject(v):ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME);
            end
        end
        tutorial.text:ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME)
        tutorial.visible = false
    end

	tutorial.IsVisible = function()
	    return tutorial.visible
	end

end

tutorial_find_item.Init = function()
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow2.png',0,0,344,148,1,0)
	anim:SetHotSpot(172,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('TutorialWindow',anim,553,337,115,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,300,35,1,0)
	anim:SetHotSpot(150,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('TutorialArrow',anim,307,310,108,-165,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('TutorialArrowHead',anim,150,261,110,-160,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('TutorialArrow2',anim,769,353,100,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('TutorialArrowHead2',anim,948,359,111,0,1,1)
	
	tutorial_find_item.objects = {}
	table.insert(tutorial_find_item.objects, 'TutorialWindow')
	table.insert(tutorial_find_item.objects, 'TutorialArrow')
	table.insert(tutorial_find_item.objects, 'TutorialArrow2')
	table.insert(tutorial_find_item.objects, 'TutorialArrowHead')
	table.insert(tutorial_find_item.objects, 'TutorialArrowHead2')
	
	tutorial_find_item.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_FIND_ITEM"))
	tutorial_find_item.text:SetSpacing(0.7)
	tutorial_find_item.text:AttachTo(play_field)
	local x = play_field:GetObject('TutorialWindow'):GetX()
	local y = play_field:GetObject('TutorialWindow'):GetY()
	tutorial_find_item.text:SetXY(x - 160, y - 95)
	tutorial_find_item.text:SetLayer(TUTORIAL_LAYER)
	tutorial_find_item.text:SetZ(1400)
	tutorial_find_item.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_find_item.text:SetBorderSize(300, 200)
	tutorial_find_item.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_find_item)	
	AssignCommonTutorialMethods(tutorial_find_item)
end

tutorial_inventory_zone = {}

tutorial_inventory_zone.Init = function()
    --[[local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow.png',0,0,373,246,1,0)
	anim:SetHotSpot(186,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_inventory_zone',anim,430,422,120,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_inventory_zone',anim,680,562,100,30,6,1)]]
	
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow1.png',0,0,442,234,1,0)
	anim:SetHotSpot(221,117)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_inventory_zone',anim,435,421,120,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_inventory_zone',anim,664,550,100,30,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_ah_inventory_zone',anim,816,645,100,30,1,1)
	
	tutorial_inventory_zone.objects = {}
	table.insert(tutorial_inventory_zone.objects, 't_w_inventory_zone')
	table.insert(tutorial_inventory_zone.objects, 't_a_inventory_zone')	
	table.insert(tutorial_inventory_zone.objects, 't_ah_inventory_zone')	
	
	tutorial_inventory_zone.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_INVENTORY_ZONE"))
	tutorial_inventory_zone.text:AttachTo(play_field)
	tutorial_inventory_zone.text:SetSpacing(0.8)
	local x = play_field:GetObject('t_w_inventory_zone'):GetX()
	local y = play_field:GetObject('t_w_inventory_zone'):GetY()
	tutorial_inventory_zone.text:SetXY(x - 170, y - 95)
	tutorial_inventory_zone.text:SetLayer(TUTORIAL_LAYER)
	tutorial_inventory_zone.text:SetZ(1400)
	tutorial_inventory_zone.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_inventory_zone.text:SetBorderSize(330, 200)
	tutorial_inventory_zone.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_inventory_zone)	
	
	AssignCommonTutorialMethods(tutorial_inventory_zone)
end

tutorial_inventory_zone_control = {}

tutorial_inventory_zone_control.Init = function()
	--[[local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow.png',0,0,373,246,1,0)
	anim:SetHotSpot(186,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_inventory_zone_control',anim,476,133,120,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a1_inventory_zone_control',anim,619,369,100,60,6,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a2_inventory_zone_control',anim,660,261,100,45,3,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a3_inventory_zone_control',anim,707,365,103,45,8,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a4_inventory_zone_control',anim,382,453,110,120,8.5,1)]]
	
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow1.png',0,0,442,234,1,0)
	anim:SetHotSpot(221,117)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_inventory_zone_control',anim,549,141,130,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	local obj = play_field:CreateObject('t_a4_inventory_zone_control',anim,396,432,114,120,1.5,1)
	obj:SetOpacity(0)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	local obj = play_field:CreateObject('t_ah4_inventory_zone_control',anim,260,656,113,120,1,1)
	obj:SetOpacity(0)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a1_inventory_zone_control',anim,611,352,120,60,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_ah1_inventory_zone_control',anim,696,511,120,60,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	local obj = play_field:CreateObject('t_a3_inventory_zone_control',anim,716,369,125,45,1.2,1)
	obj:SetOpacity(0)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	local obj = play_field:CreateObject('t_ah3_inventory_zone_control',anim,861,523,125,45,1,1)
	obj:SetOpacity(0)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_ah2_inventory_zone_control',anim,707,312,100,45,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',264,0,100,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a2_inventory_zone_control',anim,771,367,100,45,1,1)
	
	tutorial_inventory_zone_control.objects = {}
	table.insert(tutorial_inventory_zone_control.objects, 't_w_inventory_zone_control')
	table.insert(tutorial_inventory_zone_control.objects, 't_a1_inventory_zone_control')	
	table.insert(tutorial_inventory_zone_control.objects, 't_a2_inventory_zone_control')	
	--[[table.insert(tutorial_inventory_zone_control.objects, 't_a3_inventory_zone_control')	
	table.insert(tutorial_inventory_zone_control.objects, 't_a4_inventory_zone_control')]]
	table.insert(tutorial_inventory_zone_control.objects, 't_ah1_inventory_zone_control')
	table.insert(tutorial_inventory_zone_control.objects, 't_ah2_inventory_zone_control')
	--[[table.insert(tutorial_inventory_zone_control.objects, 't_ah3_inventory_zone_control')
	table.insert(tutorial_inventory_zone_control.objects, 't_ah4_inventory_zone_control')]]
	
	tutorial_inventory_zone_control.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_INVENTORY_ZONE_CONTROL"))
	tutorial_inventory_zone_control.text:AttachTo(play_field)
	tutorial_inventory_zone_control.text:SetSpacing(0.7)
	local x = play_field:GetObject('t_w_inventory_zone_control'):GetX()
	local y = play_field:GetObject('t_w_inventory_zone_control'):GetY()
	tutorial_inventory_zone_control.text:SetXY(x - 210, y - 97)
	tutorial_inventory_zone_control.text:SetLayer(TUTORIAL_LAYER)
	tutorial_inventory_zone_control.text:SetZ(1400)
	tutorial_inventory_zone_control.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_inventory_zone_control.text:SetBorderSize(400, 200)
	tutorial_inventory_zone_control.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_inventory_zone_control)	
	
	AssignCommonTutorialMethods(tutorial_inventory_zone_control)
	
	tutorial_inventory_zone_control.HideArrow1 = function()
	    if play_field:HasObject('t_a1_inventory_zone_control') and
            play_field:GetObject('t_a1_inventory_zone_control'):GetOpacity()==1  then
	        play_field:GetObject('t_a1_inventory_zone_control'):ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME)
	    end
	    if play_field:HasObject('t_ah1_inventory_zone_control') and
            play_field:GetObject('t_ah1_inventory_zone_control'):GetOpacity()==1  then
	        play_field:GetObject('t_ah1_inventory_zone_control'):ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME)
	    end
	end
	
	tutorial_inventory_zone_control.HideArrow2 = function()
		if play_field:HasObject('t_a2_inventory_zone_control') and play_field:GetObject('t_a2_inventory_zone_control'):GetOpacity() == 1  then
	        play_field:GetObject('t_a2_inventory_zone_control'):ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME)
	    end
	    if play_field:HasObject('t_ah2_inventory_zone_control') and play_field:GetObject('t_ah2_inventory_zone_control'):GetOpacity() == 1  then
	        play_field:GetObject('t_ah2_inventory_zone_control'):ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME)
	    end
	end
	
	tutorial_inventory_zone_control.ShowArrow2 = function()
		if play_field:HasObject('t_a2_inventory_zone_control') and play_field:GetObject('t_a2_inventory_zone_control'):GetOpacity() == 0  then
	        play_field:GetObject('t_a2_inventory_zone_control'):ChangeOpacity(0, 1, TUTORIAL_APPEARING_TIME)
	    end
	    if play_field:HasObject('t_ah2_inventory_zone_control') and play_field:GetObject('t_ah2_inventory_zone_control'):GetOpacity() == 0  then
	        play_field:GetObject('t_ah2_inventory_zone_control'):ChangeOpacity(0, 1, TUTORIAL_APPEARING_TIME)
	    end
	end
	
	tutorial_inventory_zone_control.ShowArrow3 = function()
	    if play_field:HasObject('t_a3_inventory_zone_control') then
	        play_field:GetObject('t_a3_inventory_zone_control'):ChangeOpacity(0, 1, TUTORIAL_APPEARING_TIME)
	    end
	    if play_field:HasObject('t_ah3_inventory_zone_control') then
	        play_field:GetObject('t_ah3_inventory_zone_control'):ChangeOpacity(0, 1, TUTORIAL_APPEARING_TIME)
	    end
	end
	
	tutorial_inventory_zone_control.HideArrow3 = function()
	    if play_field:HasObject('t_a3_inventory_zone_control') and
           play_field:GetObject('t_a3_inventory_zone_control'):GetOpacity() == 1 then
	        play_field:GetObject('t_a3_inventory_zone_control'):ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME)
	    end
	    if play_field:HasObject('t_ah3_inventory_zone_control') and
           play_field:GetObject('t_ah3_inventory_zone_control'):GetOpacity() == 1 then
	        play_field:GetObject('t_ah3_inventory_zone_control'):ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME)
	    end
	end
	
	tutorial_inventory_zone_control.HideArrow4 = function()
	    if play_field:HasObject('t_a4_inventory_zone_control') and play_field:GetObject('t_a4_inventory_zone_control'):GetOpacity() == 1 then
	        play_field:GetObject('t_a4_inventory_zone_control'):ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME)
	    end
	    if play_field:HasObject('t_ah4_inventory_zone_control') and play_field:GetObject('t_ah4_inventory_zone_control'):GetOpacity() == 1 then
	        play_field:GetObject('t_ah4_inventory_zone_control'):ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME)
	    end
	end
	
	tutorial_inventory_zone_control.ShowArrow4 = function()
	    if play_field:HasObject('t_a4_inventory_zone_control') then
	        play_field:GetObject('t_a4_inventory_zone_control'):ChangeOpacity(0, 1, TUTORIAL_APPEARING_TIME)
	    end
	    if play_field:HasObject('t_ah4_inventory_zone_control') then
	        play_field:GetObject('t_ah4_inventory_zone_control'):ChangeOpacity(0, 1, TUTORIAL_APPEARING_TIME)
	    end
	end
end

tutorial_inventory_zone_task = {visible=false, Hide = function() end, IsVisible = function() return false end}

tutorial_inventory_zone_task.Init = function()
    --[[local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow.png',0,0,373,246,1,0)
	anim:SetHotSpot(186,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_tutorial_inventory_zone_task',anim,560,169,105,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_tutorial_inventory_zone_task',anim,347,362,100,155,9,1)]]
	
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow1.png',0,0,442,234,1,0)
	anim:SetHotSpot(221,117)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_tutorial_inventory_zone_task',anim,558,167,110,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_ah_tutorial_inventory_zone_task',anim,179,512,108,140,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_tutorial_inventory_zone_task',anim,371,361,105,140,1.4,1)
	
	tutorial_inventory_zone_task.objects = {}
	table.insert(tutorial_inventory_zone_task.objects, 't_w_tutorial_inventory_zone_task')
	table.insert(tutorial_inventory_zone_task.objects, 't_a_tutorial_inventory_zone_task')
	table.insert(tutorial_inventory_zone_task.objects, 't_ah_tutorial_inventory_zone_task')
	
	tutorial_inventory_zone_task.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_INVENTORY_ZONE_TASK"))
	tutorial_inventory_zone_task.text:AttachTo(play_field)
	tutorial_inventory_zone_task.text:SetSpacing(0.7)
	local x = play_field:GetObject('t_w_tutorial_inventory_zone_task'):GetX()
	local y = play_field:GetObject('t_w_tutorial_inventory_zone_task'):GetY()
	tutorial_inventory_zone_task.text:SetXY(x - 210, y - 95)
	tutorial_inventory_zone_task.text:SetLayer(TUTORIAL_LAYER)
	tutorial_inventory_zone_task.text:SetZ(1400)
	tutorial_inventory_zone_task.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_inventory_zone_task.text:SetBorderSize(400, 200)
	tutorial_inventory_zone_task.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_inventory_zone_task)	
	
	AssignCommonTutorialMethods(tutorial_inventory_zone_task)
end

tutorial_zoom = {visible=false, Hide = function() end, IsVisible = function() return false end}

tutorial_zoom.Init = function()
    --[[local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow.png',0,0,373,246,1,0)
	anim:SetHotSpot(186,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_tutorial_zoom',anim,661,253,105,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a1_tutorial_zoom',anim,394,418,100,150,4,1)]]
	
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow1.png',0,0,442,234,1,0)
	anim:SetHotSpot(221,117)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_tutorial_zoom',anim,658,245,105,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a1_tutorial_zoom',anim,479,381,100,150,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_ah1_tutorial_zoom',anim,320,466,100,150,1,1)
	
	tutorial_zoom.objects = {}
	table.insert(tutorial_zoom.objects, 't_w_tutorial_zoom')
	table.insert(tutorial_zoom.objects, 't_a1_tutorial_zoom')
	table.insert(tutorial_zoom.objects, 't_ah1_tutorial_zoom')
	
	tutorial_zoom.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_ZOOM"))
	tutorial_zoom.text:AttachTo(play_field)
	tutorial_zoom.text:SetSpacing(0.7)
	local x = play_field:GetObject('t_w_tutorial_zoom'):GetX()
	local y = play_field:GetObject('t_w_tutorial_zoom'):GetY()
	tutorial_zoom.text:SetXY(x - 210, y - 95)
	tutorial_zoom.text:SetLayer(TUTORIAL_LAYER)
	tutorial_zoom.text:SetZ(1400)
	tutorial_zoom.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_zoom.text:SetBorderSize(400, 200)
	tutorial_zoom.text:SetOpacity(0)
	
	for i, v in ipairs(tutorial_zoom.objects) do
		play_field:GetObject(v):SetOpacity(0)
		play_field:GetObject(v):SetLayer(TUTORIAL_LAYER)
	end
	
	InitTutorialObjects(tutorial_zoom)	
	
	AssignCommonTutorialMethods(tutorial_zoom)
end

tutorial_inventory_zone_sponge = {visible=false, Hide = function() end, IsVisible = function() return false end}

tutorial_inventory_zone_sponge.Init = function()
    local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow.png',0,0,373,246,1,0)
	anim:SetHotSpot(186,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_tutorial_inventory_zone_sponge',anim,248,214,130,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_tutorial_inventory_zone_sponge',anim,529,267,120,0,6,1)
	
	tutorial_inventory_zone_sponge.objects = {}
	table.insert(tutorial_inventory_zone_sponge.objects, 't_a_tutorial_inventory_zone_sponge')
	table.insert(tutorial_inventory_zone_sponge.objects, 't_w_tutorial_inventory_zone_sponge')
	
	tutorial_inventory_zone_sponge.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_INVENTORY_ZONE_STORAGE"))
	tutorial_inventory_zone_sponge.text:AttachTo(play_field)
	local x = play_field:GetObject('t_w_tutorial_inventory_zone_sponge'):GetX()
	local y = play_field:GetObject('t_w_tutorial_inventory_zone_sponge'):GetY()
	tutorial_inventory_zone_sponge.text:SetXY(x - 150, y - 100)
	tutorial_inventory_zone_sponge.text:SetLayer(TUTORIAL_LAYER)
	tutorial_inventory_zone_sponge.text:SetZ(1400)
	tutorial_inventory_zone_sponge.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_inventory_zone_sponge.text:SetBorderSize(300, 200)
	tutorial_inventory_zone_sponge.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_inventory_zone_sponge)
	
	AssignCommonTutorialMethods(tutorial_inventory_zone_sponge)
end

tutorial_inventory_zone_sponge_control = {visible=false, Hide = function() end, IsVisible = function() return false end}

tutorial_inventory_zone_sponge_control.Init = function()
    local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow.png',0,0,373,246,1,0)
	anim:SetHotSpot(186,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_tutorial_inventory_zone_sponge_control',anim,294,131,110,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_tutorial_inventory_zone_sponge_control',anim,511,177,106,30,2,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a2_tutorial_inventory_zone_sponge_control',anim,599,164,106,15,5,1)
	
	tutorial_inventory_zone_sponge_control.objects = {}
	table.insert(tutorial_inventory_zone_sponge_control.objects, 't_a_tutorial_inventory_zone_sponge_control')
	table.insert(tutorial_inventory_zone_sponge_control.objects, 't_a2_tutorial_inventory_zone_sponge_control')
	table.insert(tutorial_inventory_zone_sponge_control.objects, 't_w_tutorial_inventory_zone_sponge_control')
	
	tutorial_inventory_zone_sponge_control.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_INVENTORY_ZONE_STORAGE_CONTROL"))
	tutorial_inventory_zone_sponge_control.text:AttachTo(play_field)
	local x = play_field:GetObject('t_w_tutorial_inventory_zone_sponge_control'):GetX()
	local y = play_field:GetObject('t_w_tutorial_inventory_zone_sponge_control'):GetY()
	tutorial_inventory_zone_sponge_control.text:SetXY(x - 150, y - 100)
	tutorial_inventory_zone_sponge_control.text:SetLayer(TUTORIAL_LAYER)
	tutorial_inventory_zone_sponge_control.text:SetZ(1400)
	tutorial_inventory_zone_sponge_control.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_inventory_zone_sponge_control.text:SetBorderSize(300, 200)
	tutorial_inventory_zone_sponge_control.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_inventory_zone_sponge_control)
	
	AssignCommonTutorialMethods(tutorial_inventory_zone_sponge_control)
end

tutorial_inventory_zone_complete = {}

tutorial_inventory_zone_complete.Init = function()
    local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow.png',0,0,373,246,1,0)
	anim:SetHotSpot(186,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_tutorial_inventory_zone_complete',anim,375,241,104,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_tutorial_inventory_zone_complete',anim,638,430,100,35,7,1)
	
	tutorial_inventory_zone_complete.objects = {}
	table.insert(tutorial_inventory_zone_complete.objects, 't_a_tutorial_inventory_zone_complete')
	table.insert(tutorial_inventory_zone_complete.objects, 't_w_tutorial_inventory_zone_complete')
	
	tutorial_inventory_zone_complete.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_INVENTORY_ZONE_COMPLETE"))
	tutorial_inventory_zone_complete.text:AttachTo(play_field)
	local x = play_field:GetObject('t_w_tutorial_inventory_zone_complete'):GetX()
	local y = play_field:GetObject('t_w_tutorial_inventory_zone_complete'):GetY()
	tutorial_inventory_zone_complete.text:SetXY(x - 150, y - 100)
	tutorial_inventory_zone_complete.text:SetLayer(TUTORIAL_LAYER)
	tutorial_inventory_zone_complete.text:SetZ(1400)
	tutorial_inventory_zone_complete.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_inventory_zone_complete.text:SetBorderSize(300, 200)
	tutorial_inventory_zone_complete.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_inventory_zone_complete)
	
	AssignCommonTutorialMethods(tutorial_inventory_zone_complete)
end

tutorial_new_inventory_zone = {visible=false, Hide = function() end, IsVisible = function() return false end}

tutorial_new_inventory_zone.Init = function()
    local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow.png',0,0,373,246,1,0)
	anim:SetHotSpot(186,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_new_inventory_zone',anim,436,235,120,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_new_inventory_zone',anim,538,398,110,45,5,1)
	
	tutorial_new_inventory_zone.objects = {}
	table.insert(tutorial_new_inventory_zone.objects, 't_a_new_inventory_zone')
	table.insert(tutorial_new_inventory_zone.objects, 't_w_new_inventory_zone')
	
	tutorial_new_inventory_zone.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_NEW_INVENTORY_ZONE"))
	tutorial_new_inventory_zone.text:AttachTo(play_field)
	local x = play_field:GetObject('t_w_new_inventory_zone'):GetX()
	local y = play_field:GetObject('t_w_new_inventory_zone'):GetY()
	tutorial_new_inventory_zone.text:SetXY(x - 150, y - 100)
	tutorial_new_inventory_zone.text:SetLayer(TUTORIAL_LAYER)
	tutorial_new_inventory_zone.text:SetZ(1400)
	tutorial_new_inventory_zone.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_new_inventory_zone.text:SetBorderSize(300, 200)
	tutorial_new_inventory_zone.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_new_inventory_zone)
	
	AssignCommonTutorialMethods(tutorial_new_inventory_zone)
end

tutorial_cigar = {visible=false, Hide = function() end, IsVisible = function() return false end}

tutorial_cigar.Init = function()
    --[[local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow.png',0,0,373,246,1,0)
	anim:SetHotSpot(186,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_cigar',anim,616,203,110,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_cigar',anim,378,423,100,150,8,1)]]
	
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_ah_cigar',anim,208,580,100,145,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow1.png',0,0,442,234,1,0)
	anim:SetHotSpot(221,117)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_cigar',anim,619,199,110,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_cigar',anim,427,435,100,145,1.5,1)
	
	tutorial_cigar.objects = {}
	table.insert(tutorial_cigar.objects, 't_a_cigar')
	table.insert(tutorial_cigar.objects, 't_ah_cigar')
	table.insert(tutorial_cigar.objects, 't_w_cigar')
	
	tutorial_cigar.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_CIGAR"))
	tutorial_cigar.text:AttachTo(play_field)
	tutorial_cigar.text:SetSpacing(0.7)
	local x = play_field:GetObject('t_w_cigar'):GetX()
	local y = play_field:GetObject('t_w_cigar'):GetY()
	tutorial_cigar.text:SetXY(x - 210, y - 95)
	tutorial_cigar.text:SetLayer(TUTORIAL_LAYER)
	tutorial_cigar.text:SetZ(1400)
	tutorial_cigar.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_cigar.text:SetBorderSize(400, 200)
	tutorial_cigar.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_cigar)
	AssignCommonTutorialMethods(tutorial_cigar)
end

tutorial_silhouette = {visible=false, Hide = function() end, IsVisible = function() return false end}

tutorial_silhouette.Init = function()
    --[[local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow.png',0,0,373,246,1,0)
	anim:SetHotSpot(186,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_silhouette',anim,627,347,110,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a1_silhouette',anim,298,496,101,150,8,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialArrow.png',0,0,64,32,1,0)
	anim:SetHotSpot(32,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a2_silhouette',anim,278,286,102,15,-6,1)]]
	
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow1.png',0,0,442,234,1,0)
	anim:SetHotSpot(221,117)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_silhouette',anim,661,424,110,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_ah1_silhouette',anim,124,298,100,15,-1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_ah2_silhouette',anim,107,652,100,150,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a1_silhouette',anim,299,338,100,15,-1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a2_silhouette',anim,294,551,100,150,1.2,1)
	
	tutorial_silhouette.objects = {}
	table.insert(tutorial_silhouette.objects, 't_w_silhouette')
	table.insert(tutorial_silhouette.objects, 't_a1_silhouette')
	table.insert(tutorial_silhouette.objects, 't_ah1_silhouette')
	table.insert(tutorial_silhouette.objects, 't_a2_silhouette')
	table.insert(tutorial_silhouette.objects, 't_ah2_silhouette')
	
	tutorial_silhouette.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_SILHOUETTE"))
	tutorial_silhouette.text:AttachTo(play_field)
	tutorial_silhouette.text:SetSpacing(0.7)
	local x = play_field:GetObject('t_w_silhouette'):GetX()
	local y = play_field:GetObject('t_w_silhouette'):GetY()
	tutorial_silhouette.text:SetXY(x - 150, y - 95)
	tutorial_silhouette.text:SetLayer(TUTORIAL_LAYER)
	tutorial_silhouette.text:SetZ(1400)
	tutorial_silhouette.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_silhouette.text:SetBorderSize(300, 200)
	tutorial_silhouette.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_silhouette)
	
	AssignCommonTutorialMethods(tutorial_silhouette)
end

tutorial_finish = {visible=false, Hide = function() end, IsVisible = function() return false end}
tutorial_finish.Init = function()
    local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow.png',0,0,373,246,1,0)
	anim:SetHotSpot(186,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_finish',anim,573,364,100,0,1,1)
    
    tutorial_finish.objects = {}
	table.insert(tutorial_finish.objects, 't_w_finish')
	
	tutorial_finish.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_FINISH_LEVEL"))
	tutorial_finish.text:AttachTo(play_field)
	local x = play_field:GetObject('t_w_finish'):GetX()
	local y = play_field:GetObject('t_w_finish'):GetY()
	tutorial_finish.text:SetXY(x - 150, y - 100)
	tutorial_finish.text:SetLayer(TUTORIAL_LAYER)
	tutorial_finish.text:SetZ(1400)
	tutorial_finish.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_finish.text:SetBorderSize(300, 200)
	tutorial_finish.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_finish)
	
	AssignCommonTutorialMethods(tutorial_finish)
end

tutorial_meta_object = {visible=false, Hide = function() end, IsVisible = function() return false end}

tutorial_meta_object.Init = function()
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow1.png',0,0,442,234,1,0)
	anim:SetHotSpot(221,117)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_tutorial_meta_object',anim,518,357,110,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_tutorial_meta_object',anim,340,514,100,135,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_ah_tutorial_meta_object',anim,208,637,100,135,1,1)
	
	tutorial_meta_object.objects = {}
	table.insert(tutorial_meta_object.objects, 't_w_tutorial_meta_object')
	table.insert(tutorial_meta_object.objects, 't_a_tutorial_meta_object')
	table.insert(tutorial_meta_object.objects, 't_ah_tutorial_meta_object')
	
	tutorial_meta_object.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_META_OBJECT"))
	tutorial_meta_object.text:AttachTo(play_field)
	tutorial_meta_object.text:SetSpacing(0.7)
	local x = play_field:GetObject('t_w_tutorial_meta_object'):GetX()
	local y = play_field:GetObject('t_w_tutorial_meta_object'):GetY()
	tutorial_meta_object.text:SetXY(x - 150, y - 95)
	tutorial_meta_object.text:SetLayer(TUTORIAL_LAYER)
	tutorial_meta_object.text:SetZ(1400)
	tutorial_meta_object.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_meta_object.text:SetBorderSize(300, 200)
	tutorial_meta_object.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_meta_object)
	
	AssignCommonTutorialMethods(tutorial_meta_object)
end

tutorial_meta_game = {visible=false, Hide = function() end, IsVisible = function() return false end}

tutorial_meta_game.Init = function()
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow1.png',0,0,442,234,1,0)
	anim:SetHotSpot(221,117)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_w_tutorial_meta_game',anim,518,357,110,0,1,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/Arrow.png',0,0,364,35,1,0)
	anim:SetHotSpot(182,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_a_tutorial_meta_game',anim,395,546,100,135,1.5,1)
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/ArrowHead.png',0,0,57,52,1,0)
	anim:SetHotSpot(28,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('t_ah_tutorial_meta_game',anim,207,726,100,135,1,1)
	
	tutorial_meta_game.objects = {}
	table.insert(tutorial_meta_game.objects, 't_w_tutorial_meta_game')
	table.insert(tutorial_meta_game.objects, 't_a_tutorial_meta_game')
	table.insert(tutorial_meta_game.objects, 't_ah_tutorial_meta_game')
	
	tutorial_meta_game.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_META_GAME"))
	tutorial_meta_game.text:AttachTo(play_field)
	tutorial_meta_game.text:SetSpacing(0.7)
	local x = play_field:GetObject('t_w_tutorial_meta_game'):GetX()
	local y = play_field:GetObject('t_w_tutorial_meta_game'):GetY()
	tutorial_meta_game.text:SetXY(x - 150, y - 95)
	tutorial_meta_game.text:SetLayer(TUTORIAL_LAYER)
	tutorial_meta_game.text:SetZ(1400)
	tutorial_meta_game.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_meta_game.text:SetBorderSize(300, 200)
	tutorial_meta_game.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_meta_game)
	
	AssignCommonTutorialMethods(tutorial_meta_game)
end

tutorial_missed_cigar = {visible=false, Hide = function() end, IsVisible = function() return false end}

tutorial_missed_cigar.Init = function()
	local anim = CreateAnimation('data/Texture/GUI/Tutorial/TutorialWindow1.png',0,0,442,234,1,0)
	anim:SetHotSpot(221,117)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	local w = global_map:CreateObject('t_w_tutorial_missed_cigar',anim,518,357,110,0,1,1)	
	w:AttachTo(global_map:GetObject('background'))
	
	tutorial_missed_cigar.objects = {}
	table.insert(tutorial_missed_cigar.objects, 't_w_tutorial_missed_cigar')	
	
	tutorial_missed_cigar.text = CreateTextEntity("Bookman18", GetString("TUTORIAL_MISSED_CIGAR"))
	tutorial_missed_cigar.text:AttachTo(global_map:GetObject('t_w_tutorial_missed_cigar'))
	tutorial_missed_cigar.text:SetSpacing(0.7)
	--[[local x = global_map:GetObject('t_w_tutorial_missed_cigar'):GetX()
	local y = global_map:GetObject('t_w_tutorial_missed_cigar'):GetY()]]
	--tutorial_missed_cigar.text:SetXY(x + 225, y + 15)
	tutorial_missed_cigar.text:SetXY(-150, -85)
	tutorial_missed_cigar.text:SetLayer(TUTORIAL_LAYER)
	tutorial_missed_cigar.text:SetZ(1400)
	tutorial_missed_cigar.text:SetTextAlignment(HGETEXT_MIDDLE + HGETEXT_CENTER)
	tutorial_missed_cigar.text:SetBorderSize(300, 200)
	tutorial_missed_cigar.text:SetOpacity(0)
	
	InitTutorialObjects(tutorial_missed_cigar, global_map)
	
	tutorial_missed_cigar.Show = function()
        if tutorial_missed_cigar.visible then
            return
        end
        for i, v in ipairs(tutorial_missed_cigar.objects) do
            global_map:GetObject(v):ChangeOpacity(0, 1, TUTORIAL_APPEARING_TIME);
        end
        tutorial_missed_cigar.text:ChangeOpacity(0, 1, TUTORIAL_APPEARING_TIME)
        tutorial_missed_cigar.visible = true
        TimerDo(global_map:GetTimer(), 1, tutorial_missed_cigar.OnShown)
    end
    
    tutorial_missed_cigar.OnShown = function()
        
    end
    
    tutorial_missed_cigar.Hide = function()
        if not tutorial_missed_cigar.visible then
            return
        end
        for i, v in ipairs(tutorial_missed_cigar.objects) do
            if global_map:GetObject(v):GetOpacity() == 1 then
                global_map:GetObject(v):ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME);
            end
        end
        tutorial_missed_cigar.text:ChangeOpacity(1, 0, TUTORIAL_APPEARING_TIME)
        tutorial_missed_cigar.visible = false
    end

	tutorial_missed_cigar.IsVisible = function()
	    return tutorial_missed_cigar.visible
	end
end
